package com.mortals.xhx.module.business.model;

import java.util.List;
import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.business.model.BusinessLicenseEntity;
/**
* 行业许可子证查询对象
*
* @author zxfei
* @date 2024-07-27
*/
public class BusinessLicenseQuery extends BusinessLicenseEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 市场主体名称 */
    private List<String> marketEntityNameList;

    /** 市场主体名称排除列表 */
    private List <String> marketEntityNameNotList;
    /** 许可证编号 */
    private List<String> licenseCodeList;

    /** 许可证编号排除列表 */
    private List <String> licenseCodeNotList;
    /** 法定代表人（负责人） */
    private List<String> legalPersonNameList;

    /** 法定代表人（负责人）排除列表 */
    private List <String> legalPersonNameNotList;
    /** 统一社会信用代码 */
    private List<String> creditCodeList;

    /** 统一社会信用代码排除列表 */
    private List <String> creditCodeNotList;
    /** 开始 制证日期 */
    private String productLicenseTimeStart;

    /** 结束 制证日期 */
    private String productLicenseTimeEnd;

    /** 证件二维码 */
    private List<String> certQRCodeList;

    /** 证件二维码排除列表 */
    private List <String> certQRCodeNotList;
    /** 链接地址 */
    private List<String> urlList;

    /** 链接地址排除列表 */
    private List <String> urlNotList;
    /** 制证机关 */
    private List<String> certAuthorityList;

    /** 制证机关排除列表 */
    private List <String> certAuthorityNotList;
    /** 经营场所 */
    private List<String> businessPlaceList;

    /** 经营场所排除列表 */
    private List <String> businessPlaceNotList;
    /** 许可项目 */
    private List<String> licensedItemsList;

    /** 许可项目排除列表 */
    private List <String> licensedItemsNotList;
    /** 文件名称 */
    private List<String> fileNameList;

    /** 文件名称排除列表 */
    private List <String> fileNameNotList;
    /** 文件相对路径地址 */
    private List<String> filePathList;

    /** 文件相对路径地址排除列表 */
    private List <String> filePathNotList;
    /** 简介 */
    private List<String> summaryList;

    /** 简介排除列表 */
    private List <String> summaryNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<BusinessLicenseQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<BusinessLicenseQuery> andConditionList;

    public BusinessLicenseQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 市场主体名称
    * @return marketEntityNameList
    */
    public List<String> getMarketEntityNameList(){
        return this.marketEntityNameList;
    }

    /**
    * 设置 市场主体名称
    * @param marketEntityNameList
    */
    public void setMarketEntityNameList(List<String> marketEntityNameList){
        this.marketEntityNameList = marketEntityNameList;
    }

    /**
    * 获取 市场主体名称
    * @return marketEntityNameNotList
    */
    public List<String> getMarketEntityNameNotList(){
        return this.marketEntityNameNotList;
    }

    /**
    * 设置 市场主体名称
    * @param marketEntityNameNotList
    */
    public void setMarketEntityNameNotList(List<String> marketEntityNameNotList){
        this.marketEntityNameNotList = marketEntityNameNotList;
    }

    /**
    * 获取 许可证编号
    * @return licenseCodeList
    */
    public List<String> getLicenseCodeList(){
        return this.licenseCodeList;
    }

    /**
    * 设置 许可证编号
    * @param licenseCodeList
    */
    public void setLicenseCodeList(List<String> licenseCodeList){
        this.licenseCodeList = licenseCodeList;
    }

    /**
    * 获取 许可证编号
    * @return licenseCodeNotList
    */
    public List<String> getLicenseCodeNotList(){
        return this.licenseCodeNotList;
    }

    /**
    * 设置 许可证编号
    * @param licenseCodeNotList
    */
    public void setLicenseCodeNotList(List<String> licenseCodeNotList){
        this.licenseCodeNotList = licenseCodeNotList;
    }

    /**
    * 获取 法定代表人（负责人）
    * @return legalPersonNameList
    */
    public List<String> getLegalPersonNameList(){
        return this.legalPersonNameList;
    }

    /**
    * 设置 法定代表人（负责人）
    * @param legalPersonNameList
    */
    public void setLegalPersonNameList(List<String> legalPersonNameList){
        this.legalPersonNameList = legalPersonNameList;
    }

    /**
    * 获取 法定代表人（负责人）
    * @return legalPersonNameNotList
    */
    public List<String> getLegalPersonNameNotList(){
        return this.legalPersonNameNotList;
    }

    /**
    * 设置 法定代表人（负责人）
    * @param legalPersonNameNotList
    */
    public void setLegalPersonNameNotList(List<String> legalPersonNameNotList){
        this.legalPersonNameNotList = legalPersonNameNotList;
    }

    /**
    * 获取 统一社会信用代码
    * @return creditCodeList
    */
    public List<String> getCreditCodeList(){
        return this.creditCodeList;
    }

    /**
    * 设置 统一社会信用代码
    * @param creditCodeList
    */
    public void setCreditCodeList(List<String> creditCodeList){
        this.creditCodeList = creditCodeList;
    }

    /**
    * 获取 统一社会信用代码
    * @return creditCodeNotList
    */
    public List<String> getCreditCodeNotList(){
        return this.creditCodeNotList;
    }

    /**
    * 设置 统一社会信用代码
    * @param creditCodeNotList
    */
    public void setCreditCodeNotList(List<String> creditCodeNotList){
        this.creditCodeNotList = creditCodeNotList;
    }

    /**
    * 获取 开始 制证日期
    * @return productLicenseTimeStart
    */
    public String getProductLicenseTimeStart(){
        return this.productLicenseTimeStart;
    }

    /**
    * 设置 开始 制证日期
    * @param productLicenseTimeStart
    */
    public void setProductLicenseTimeStart(String productLicenseTimeStart){
        this.productLicenseTimeStart = productLicenseTimeStart;
    }

    /**
    * 获取 结束 制证日期
    * @return productLicenseTimeEnd
    */
    public String getProductLicenseTimeEnd(){
        return this.productLicenseTimeEnd;
    }

    /**
    * 设置 结束 制证日期
    * @param productLicenseTimeEnd
    */
    public void setProductLicenseTimeEnd(String productLicenseTimeEnd){
        this.productLicenseTimeEnd = productLicenseTimeEnd;
    }

    /**
    * 获取 证件二维码
    * @return certQRCodeList
    */
    public List<String> getCertQRCodeList(){
        return this.certQRCodeList;
    }

    /**
    * 设置 证件二维码
    * @param certQRCodeList
    */
    public void setCertQRCodeList(List<String> certQRCodeList){
        this.certQRCodeList = certQRCodeList;
    }

    /**
    * 获取 证件二维码
    * @return certQRCodeNotList
    */
    public List<String> getCertQRCodeNotList(){
        return this.certQRCodeNotList;
    }

    /**
    * 设置 证件二维码
    * @param certQRCodeNotList
    */
    public void setCertQRCodeNotList(List<String> certQRCodeNotList){
        this.certQRCodeNotList = certQRCodeNotList;
    }

    /**
    * 获取 链接地址
    * @return urlList
    */
    public List<String> getUrlList(){
        return this.urlList;
    }

    /**
    * 设置 链接地址
    * @param urlList
    */
    public void setUrlList(List<String> urlList){
        this.urlList = urlList;
    }

    /**
    * 获取 链接地址
    * @return urlNotList
    */
    public List<String> getUrlNotList(){
        return this.urlNotList;
    }

    /**
    * 设置 链接地址
    * @param urlNotList
    */
    public void setUrlNotList(List<String> urlNotList){
        this.urlNotList = urlNotList;
    }

    /**
    * 获取 制证机关
    * @return certAuthorityList
    */
    public List<String> getCertAuthorityList(){
        return this.certAuthorityList;
    }

    /**
    * 设置 制证机关
    * @param certAuthorityList
    */
    public void setCertAuthorityList(List<String> certAuthorityList){
        this.certAuthorityList = certAuthorityList;
    }

    /**
    * 获取 制证机关
    * @return certAuthorityNotList
    */
    public List<String> getCertAuthorityNotList(){
        return this.certAuthorityNotList;
    }

    /**
    * 设置 制证机关
    * @param certAuthorityNotList
    */
    public void setCertAuthorityNotList(List<String> certAuthorityNotList){
        this.certAuthorityNotList = certAuthorityNotList;
    }

    /**
    * 获取 经营场所
    * @return businessPlaceList
    */
    public List<String> getBusinessPlaceList(){
        return this.businessPlaceList;
    }

    /**
    * 设置 经营场所
    * @param businessPlaceList
    */
    public void setBusinessPlaceList(List<String> businessPlaceList){
        this.businessPlaceList = businessPlaceList;
    }

    /**
    * 获取 经营场所
    * @return businessPlaceNotList
    */
    public List<String> getBusinessPlaceNotList(){
        return this.businessPlaceNotList;
    }

    /**
    * 设置 经营场所
    * @param businessPlaceNotList
    */
    public void setBusinessPlaceNotList(List<String> businessPlaceNotList){
        this.businessPlaceNotList = businessPlaceNotList;
    }

    /**
    * 获取 许可项目
    * @return licensedItemsList
    */
    public List<String> getLicensedItemsList(){
        return this.licensedItemsList;
    }

    /**
    * 设置 许可项目
    * @param licensedItemsList
    */
    public void setLicensedItemsList(List<String> licensedItemsList){
        this.licensedItemsList = licensedItemsList;
    }

    /**
    * 获取 许可项目
    * @return licensedItemsNotList
    */
    public List<String> getLicensedItemsNotList(){
        return this.licensedItemsNotList;
    }

    /**
    * 设置 许可项目
    * @param licensedItemsNotList
    */
    public void setLicensedItemsNotList(List<String> licensedItemsNotList){
        this.licensedItemsNotList = licensedItemsNotList;
    }

    /**
    * 获取 文件名称
    * @return fileNameList
    */
    public List<String> getFileNameList(){
        return this.fileNameList;
    }

    /**
    * 设置 文件名称
    * @param fileNameList
    */
    public void setFileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
    }

    /**
    * 获取 文件名称
    * @return fileNameNotList
    */
    public List<String> getFileNameNotList(){
        return this.fileNameNotList;
    }

    /**
    * 设置 文件名称
    * @param fileNameNotList
    */
    public void setFileNameNotList(List<String> fileNameNotList){
        this.fileNameNotList = fileNameNotList;
    }

    /**
    * 获取 文件相对路径地址
    * @return filePathList
    */
    public List<String> getFilePathList(){
        return this.filePathList;
    }

    /**
    * 设置 文件相对路径地址
    * @param filePathList
    */
    public void setFilePathList(List<String> filePathList){
        this.filePathList = filePathList;
    }

    /**
    * 获取 文件相对路径地址
    * @return filePathNotList
    */
    public List<String> getFilePathNotList(){
        return this.filePathNotList;
    }

    /**
    * 设置 文件相对路径地址
    * @param filePathNotList
    */
    public void setFilePathNotList(List<String> filePathNotList){
        this.filePathNotList = filePathNotList;
    }

    /**
    * 获取 简介
    * @return summaryList
    */
    public List<String> getSummaryList(){
        return this.summaryList;
    }

    /**
    * 设置 简介
    * @param summaryList
    */
    public void setSummaryList(List<String> summaryList){
        this.summaryList = summaryList;
    }

    /**
    * 获取 简介
    * @return summaryNotList
    */
    public List<String> getSummaryNotList(){
        return this.summaryNotList;
    }

    /**
    * 设置 简介
    * @param summaryNotList
    */
    public void setSummaryNotList(List<String> summaryNotList){
        this.summaryNotList = summaryNotList;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public BusinessLicenseQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public BusinessLicenseQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public BusinessLicenseQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public BusinessLicenseQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public BusinessLicenseQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public BusinessLicenseQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 市场主体名称
    * @param marketEntityName
    */
    public BusinessLicenseQuery marketEntityName(String marketEntityName){
        setMarketEntityName(marketEntityName);
		return this;
    }

    /**
    * 设置 市场主体名称
    * @param marketEntityNameList
    */
    public BusinessLicenseQuery marketEntityNameList(List<String> marketEntityNameList){
        this.marketEntityNameList = marketEntityNameList;
		return this;
    }


	/**
    * 设置 许可证编号
    * @param licenseCode
    */
    public BusinessLicenseQuery licenseCode(String licenseCode){
        setLicenseCode(licenseCode);
		return this;
    }

    /**
    * 设置 许可证编号
    * @param licenseCodeList
    */
    public BusinessLicenseQuery licenseCodeList(List<String> licenseCodeList){
        this.licenseCodeList = licenseCodeList;
		return this;
    }


	/**
    * 设置 法定代表人（负责人）
    * @param legalPersonName
    */
    public BusinessLicenseQuery legalPersonName(String legalPersonName){
        setLegalPersonName(legalPersonName);
		return this;
    }

    /**
    * 设置 法定代表人（负责人）
    * @param legalPersonNameList
    */
    public BusinessLicenseQuery legalPersonNameList(List<String> legalPersonNameList){
        this.legalPersonNameList = legalPersonNameList;
		return this;
    }


	/**
    * 设置 统一社会信用代码
    * @param creditCode
    */
    public BusinessLicenseQuery creditCode(String creditCode){
        setCreditCode(creditCode);
		return this;
    }

    /**
    * 设置 统一社会信用代码
    * @param creditCodeList
    */
    public BusinessLicenseQuery creditCodeList(List<String> creditCodeList){
        this.creditCodeList = creditCodeList;
		return this;
    }



	/**
    * 设置 证件二维码
    * @param certQRCode
    */
    public BusinessLicenseQuery certQRCode(String certQRCode){
        setCertQRCode(certQRCode);
		return this;
    }

    /**
    * 设置 证件二维码
    * @param certQRCodeList
    */
    public BusinessLicenseQuery certQRCodeList(List<String> certQRCodeList){
        this.certQRCodeList = certQRCodeList;
		return this;
    }


	/**
    * 设置 链接地址
    * @param url
    */
    public BusinessLicenseQuery url(String url){
        setUrl(url);
		return this;
    }

    /**
    * 设置 链接地址
    * @param urlList
    */
    public BusinessLicenseQuery urlList(List<String> urlList){
        this.urlList = urlList;
		return this;
    }


	/**
    * 设置 制证机关
    * @param certAuthority
    */
    public BusinessLicenseQuery certAuthority(String certAuthority){
        setCertAuthority(certAuthority);
		return this;
    }

    /**
    * 设置 制证机关
    * @param certAuthorityList
    */
    public BusinessLicenseQuery certAuthorityList(List<String> certAuthorityList){
        this.certAuthorityList = certAuthorityList;
		return this;
    }


	/**
    * 设置 经营场所
    * @param businessPlace
    */
    public BusinessLicenseQuery businessPlace(String businessPlace){
        setBusinessPlace(businessPlace);
		return this;
    }

    /**
    * 设置 经营场所
    * @param businessPlaceList
    */
    public BusinessLicenseQuery businessPlaceList(List<String> businessPlaceList){
        this.businessPlaceList = businessPlaceList;
		return this;
    }


	/**
    * 设置 许可项目
    * @param licensedItems
    */
    public BusinessLicenseQuery licensedItems(String licensedItems){
        setLicensedItems(licensedItems);
		return this;
    }

    /**
    * 设置 许可项目
    * @param licensedItemsList
    */
    public BusinessLicenseQuery licensedItemsList(List<String> licensedItemsList){
        this.licensedItemsList = licensedItemsList;
		return this;
    }


	/**
    * 设置 文件名称
    * @param fileName
    */
    public BusinessLicenseQuery fileName(String fileName){
        setFileName(fileName);
		return this;
    }

    /**
    * 设置 文件名称
    * @param fileNameList
    */
    public BusinessLicenseQuery fileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
		return this;
    }


	/**
    * 设置 文件相对路径地址
    * @param filePath
    */
    public BusinessLicenseQuery filePath(String filePath){
        setFilePath(filePath);
		return this;
    }

    /**
    * 设置 文件相对路径地址
    * @param filePathList
    */
    public BusinessLicenseQuery filePathList(List<String> filePathList){
        this.filePathList = filePathList;
		return this;
    }


	/**
    * 设置 简介
    * @param summary
    */
    public BusinessLicenseQuery summary(String summary){
        setSummary(summary);
		return this;
    }

    /**
    * 设置 简介
    * @param summaryList
    */
    public BusinessLicenseQuery summaryList(List<String> summaryList){
        this.summaryList = summaryList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public BusinessLicenseQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public BusinessLicenseQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public BusinessLicenseQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public BusinessLicenseQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public BusinessLicenseQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public BusinessLicenseQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public BusinessLicenseQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public BusinessLicenseQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }

    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public BusinessLicenseQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public BusinessLicenseQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public BusinessLicenseQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public BusinessLicenseQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public BusinessLicenseQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public BusinessLicenseQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<BusinessLicenseQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<BusinessLicenseQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<BusinessLicenseQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<BusinessLicenseQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}